#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int maxDayInMonth[13] = {-1, 31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};

int main(int argc,  char* argv[]) {
    registerValidation(argc,  argv);
    int n = inf.readInt(1, 2000, "n");
    set<string> names;
    set<int> cs;
    inf.readEoln();
    for (int i = 0; i < n; i++) {
        string s = inf.readToken("[A-Z][a-z]{0,9}", "name");
        ensuref(names.count(s) == 0, "Non-unique name %s", s.c_str());
        names.insert(s);
        inf.readSpace();
        int c = inf.readInt(0, 100000, "ci");
        ensuref(cs.count(c) == 0, "Non-unique ci %d", c);
        cs.insert(c);
        inf.readSpace();
        s = inf.readToken("[0-9][0-9]/[0-9][0-9]", "date");
        int d = atoi(s.substr(0, 2).c_str());
        int m = atoi(s.substr(3, 2).c_str());
        ensuref(1 <= m && m <= 12, "month %d", m);
        ensuref(1 <= d && d <= maxDayInMonth[m], "day %d", d);
        inf.readEoln();
    }
    inf.readEof();
}
