#include <iostream>
#include <tuple>
#include <queue>

int main() {
    int a, b, c;
    std::cin >> a >> b >> c;
    std::queue<std::tuple<int, int, int, int>> q;
    q.push(std::make_tuple(a, b, c, 0));
    auto prev_score = 114514;
    while (!q.empty()) {
        auto crt = q.front(); q.pop();
        auto crt_a = std::get<0>(crt);
        auto crt_b = std::get<1>(crt);
        auto crt_c = std::get<2>(crt);
        auto crt_n = std::get<3>(crt);
        if (crt_a == crt_b && crt_b == crt_c) {
            std::cout << crt_n << std::endl;
            return 0;
        }
        auto next_n = crt_n + 1;
        auto crt_score = std::abs(crt_a - crt_b) + std::abs(crt_b - crt_c) + std::abs(crt_c - crt_a);
        if (crt_score > prev_score) {
            continue;
        }
        prev_score = crt_score;
        q.push(std::make_tuple(crt_a + 1, crt_b + 1, crt_c, next_n));
        q.push(std::make_tuple(crt_a + 1, crt_b, crt_c + 1, next_n));
        q.push(std::make_tuple(crt_a, crt_b + 1, crt_c + 1, next_n));
        q.push(std::make_tuple(crt_a + 2, crt_b, crt_c, next_n));
        q.push(std::make_tuple(crt_a, crt_b + 2, crt_c, next_n));
        q.push(std::make_tuple(crt_a, crt_b, crt_c + 2, next_n));
    }
}