#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

const int32_t kMaxN = 50'000;
const int32_t kMaxM = 200'000;
const int32_t kMaxC = 1'000'000'000;

vector<int> g[kMaxN];
bool was[kMaxN];

int sz = 0;
void dfs(int v) {
     was[v] = 1;
     ++sz;
     for (int to : g[v]) if (!was[to]) dfs(to);
}

int main(int argc, char* argv[]) {
  registerValidation(argc, argv);

  int n = inf.readInt(2, kMaxN, "n");
  inf.readSpace();
  int m = inf.readInt(1, kMaxM, "m");
  inf.readSpace();
  int k = inf.readInt(1, n, "k");
  inf.readEoln();

  for (size_t i = 0; i < m; ++i) {
    int a = inf.readInt(1, n, "a");
    inf.readSpace();
    int b = inf.readInt(1, n, "b");
    inf.readSpace();
    int l = inf.readInt(1, kMaxC, "c");
    inf.readEoln();
    
    g[a - 1].push_back(b - 1);
    g[b - 1].push_back(a - 1);
  }
  
  dfs(0);
  
  ensuref(sz == n, "Graph isn't connected");

  inf.readEof();
}